Bug 155729 - [UPDATE] devel/thunar-svn-plugin to 0.1.4
[UPDATE] devel/thunar-svn-plugin to 0.1.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
Depends on:
  Show dependency treegraph
Reported: 2011-03-20 19:10 UTC by duchateau.olivier
Modified: 2011-03-27 15:23 UTC (History)
0 users

See Also:

file.diff (7.39 KB, patch)
2011-03-20 19:10 UTC, duchateau.olivier
no flags Details | Diff
thunar-vcs-plugin.shar.txt (4.93 KB, text/plain)
2011-03-24 15:02 UTC, Sergey V. Dyatko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description duchateau.olivier 2011-03-20 19:10:00 UTC
Announce: http://foo-projects.org/pipermail/xfce/2011-March/028474.html

Add OPTIONS macro (for NLS, Git and Subversion).

Note: This plugin was tested with Git enabled, but I noticed, clone repository doesn't work (or I don't know how it works).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-20 19:10:10 UTC
Maintainer of devel/thunar-svn-plugin,

Please note that PR ports/155729 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2011-03-20 19:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sergey V. Dyatko 2011-03-20 19:58:52 UTC
On Sun, 20 Mar 2011 19:10:10 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of devel/thunar-svn-plugin,
> Please note that PR ports/155729 has just been submitted.

I didn't try (yet) build/use that version, but:
0. I think we must change portname

1. we doesn't need OSVERSION check (6.x is deprecated) so..
-.if ${OSVERSION} < 700000
-BROKEN=         does not configure on 6.X

2. IMO  LIB_DEPENDS+= should be
svn_client-1:${PORTSDIR}/devel/subversion-freebsd instead

wbr, tiger
Comment 4 Sergey V. Dyatko 2011-03-24 07:08:41 UTC

Olivier, do you agree with me or is there any objection?

wbr, tiger
Comment 5 Sergey V. Dyatko 2011-03-24 15:02:35 UTC

patch attached. 
see also ports/155911

2 Olivier: clone works fine for me (git+ssh://blah-blan)

wbr, tiger
Comment 6 Sergey V. Dyatko 2011-03-25 07:48:47 UTC


thunar-svn-plugin was renamed to thunar-vcs-plugin in upstream.  for
If using portmaster: 
portmaster -o devel/thunar-svn-plugin devel/thunar-vcs-plugin 
If using portupgrade:
portupgrade -o devel/thunar-svn-plugin devel/thunar-vcs-plugin

wbr, tiger
Comment 7 Sergey A. Osokin freebsd_committer 2011-03-27 15:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

I'll handle this PR.
Comment 8 dfilter freebsd_committer 2011-03-27 15:13:19 UTC
osa         2011-03-27 14:13:05 UTC

  FreeBSD ports repository

  Modified files:
    devel/thunar-vcs-plugin Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    devel/thunar-vcs-plugin/files patch-Makefile.in patch-fix-svn 
  Update from 0.0.3 to 0.1.4.
  Also, update the name of project where it needed.
  Remove needless patches.
  PR:     155729
  Revision  Changes    Path
  1.18      +42 -16    ports/devel/thunar-vcs-plugin/Makefile
  1.4       +2 -3      ports/devel/thunar-vcs-plugin/distinfo
  1.4       +0 -11     ports/devel/thunar-vcs-plugin/files/patch-Makefile.in (dead)
  1.3       +0 -22     ports/devel/thunar-vcs-plugin/files/patch-fix-svn (dead)
  1.3       +4 -2      ports/devel/thunar-vcs-plugin/pkg-descr
  1.4       +34 -22    ports/devel/thunar-vcs-plugin/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Sergey A. Osokin freebsd_committer 2011-03-27 15:22:40 UTC
State Changed
From-To: feedback->closed

Committed patch from maintainer, thanks for report!